Mailinglist Archive: opensuse-updates (53 mails)

< Previous Next >
openSUSE-SU-2012:0432-1: moderate: update for libpng12, libpng14
openSUSE Security Update: update for libpng12, libpng14
______________________________________________________________________________

Announcement ID: openSUSE-SU-2012:0432-1
Rating: moderate
References: #752008
Cross-References: CVE-2011-3045
Affected Products:
openSUSE 12.1
openSUSE 11.4
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

specially crafted png files could cause a buffer overflow
in libpng


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 12.1:

zypper in -t patch openSUSE-2012-186

- openSUSE 11.4:

zypper in -t patch openSUSE-2012-186

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 12.1 (i586 x86_64):

libpng12-0-1.2.48-9.6.1
libpng12-0-debuginfo-1.2.48-9.6.1
libpng12-compat-devel-1.2.48-9.6.1
libpng12-debugsource-1.2.48-9.6.1
libpng12-devel-1.2.48-9.6.1
libpng14-14-1.4.10-3.6.1
libpng14-14-debuginfo-1.4.10-3.6.1
libpng14-compat-devel-1.4.10-3.6.1
libpng14-debugsource-1.4.10-3.6.1
libpng14-devel-1.4.10-3.6.1

- openSUSE 12.1 (x86_64):

libpng12-0-32bit-1.2.48-9.6.1
libpng12-0-debuginfo-32bit-1.2.48-9.6.1
libpng12-compat-devel-32bit-1.2.48-9.6.1
libpng12-devel-32bit-1.2.48-9.6.1
libpng14-14-32bit-1.4.10-3.6.1
libpng14-14-debuginfo-32bit-1.4.10-3.6.1
libpng14-compat-devel-32bit-1.4.10-3.6.1
libpng14-devel-32bit-1.4.10-3.6.1

- openSUSE 11.4 (i586 x86_64):

libpng12-0-1.2.48-13.1
libpng12-0-debuginfo-1.2.48-13.1
libpng12-compat-devel-1.2.48-13.1
libpng12-debugsource-1.2.48-13.1
libpng12-devel-1.2.48-13.1
libpng14-14-1.4.4-17.1
libpng14-14-debuginfo-1.4.4-17.1
libpng14-compat-devel-1.4.4-17.1
libpng14-debugsource-1.4.4-17.1
libpng14-devel-1.4.4-17.1

- openSUSE 11.4 (x86_64):

libpng12-0-32bit-1.2.48-13.1
libpng12-0-debuginfo-32bit-1.2.48-13.1
libpng12-compat-devel-32bit-1.2.48-13.1
libpng12-devel-32bit-1.2.48-13.1
libpng14-14-32bit-1.4.4-17.1
libpng14-14-debuginfo-32bit-1.4.4-17.1
libpng14-compat-devel-32bit-1.4.4-17.1
libpng14-devel-32bit-1.4.4-17.1


References:

http://support.novell.com/security/cve/CVE-2011-3045.html
https://bugzilla.novell.com/752008


< Previous Next >
This Thread
  • No further messages